void initBoard() {
  Serial.begin(115200);
#ifdef TRIGBOARDmode
  pinMode(EXTWAKEpin, INPUT);
  pinMode(DONEpin, OUTPUT);
#endif
#ifdef WIFImode
  delay(1000);
  pinMode(buttonPin, INPUT);
  swSer.begin(9600);
#endif
#ifdef ESPNOWmode
  delay(1000);
  pinMode(buttonPin, INPUT);
  swSer.begin(9600);
  esp_now_init();
  esp_now_set_self_role(ESP_NOW_ROLE_SLAVE);
  esp_now_add_peer(&trigMac[0], ESP_NOW_ROLE_CONTROLLER, 1, &key[0], 16);
  esp_now_set_peer_key(&trigMac[0], &key[0], 16);
  esp_now_register_recv_cb([](uint8_t *mac, uint8_t *data, uint8_t len) {
    digitalWrite(LEDpin, LOW);
    //    Serial.print("$$"); // $$ just an indicator that this line is a received ESP-Now message
    Serial.write(mac, 6); // mac address of remote ESP-Now device
    Serial.write(" ");
    Serial.write(data, len);
    swSer.write(data, len);
    digitalWrite(LEDpin, HIGH);
  });
#endif


#ifdef WIFImode
  WiFiManager wifiManager;
  wifiManager.autoConnect("trigGateway");
#endif


  pinMode(LEDpin, OUTPUT);

}
