/*
    trigBoard Master Gateway!
    kevin darrah
    www.kdcircuits.com

*/

//BOARD MODE - ONLY DEFINE ONE!!
//#define TRIGBOARDmode
#define WIFImode
//#define ESPNOWmode

// ESPNOW STUFF
uint8_t trigMac[6] {0x36, 0x94, 0x5d, 0x81, 0xd4, 0xa0};// MAC ADDRESS OF ALL TRIG BOARDS 6 bytes

uint8_t gatewayMac[6] = {0x36, 0x94, 0x5d, 0x81, 0xd4, 0xa1};// MAC ADDRESS OF TRIG GATEWAY 6 bytes

uint8_t key[16] = {0x36, 0x94, 0x5d, 0x81, 0xd4, 0xa0,
                   0x36, 0x94, 0x5d, 0x81, 0xd4, 0xa1, 0x5d, 0x81, 0xd4, 0xa1
                  };// ENCRYPTION KEY 16 bytes

const char trigBoardName[] = "trigBoard Name";
const char trigBoardMessage[] = "Hey something happened";


#include "header.h"



void setup() {
  initBoard();
}

void loop() {
#ifdef WIFImode
  WIFIfunction();
#endif
#ifdef ESPNOWmode
  ESPNOWfunction();
#endif
#ifdef TRIGBOARDmode
  TRIGBOARDfunction();
#endif
}
